#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/AUTOMX_CERT_NAME.sh
#
# Copyright (c) 2015-2019  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2017-11-14  jed
# Last Update:  $Id: AUTOMX_CERT_NAME.sh 61869 2019-01-01 14:58:52Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

pgmname=`basename $0`
module_name="`echo "${pgmname}" | cut -d_ -f1 | tr '[:upper:]' '[:lower:]'`"

# debug mode true/false
#debug=true
if ${debug:-false}
then
    exec 2> /tmp/${module_name}-db-type-dialog-trace$$.log
    set -x
    ask_debug=true
    export ask_debug
fi

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win_handle="$p2"
    var_name="$p3"

    # get list of certificates
    sellist=",`find /usr/local/ssl/certs -maxdepth 1 -type f -name "*.pem" -printf '%f\n' | \
              sort | sed -e 's/\.pem$//g' -e '/^$/d' | tr '\n' ',' | sed 's/,$//'`"

    ece_select_list_dlg "${win_handle}" "Select certificate file" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
